package store

import "log/slog"

type Store struct {
	log *slog.Logger
}

func New(log *slog.Logger) *Store {
	s := &Store{
		log: log.With("sys", "store"),
	}
	s.log.Info("starting store")
	return s
}
